fun (not) with MT-Blacklist

Spent the afternoon installing MT-Blacklist, with the eventual goal of turning on comments for this blog. Or rather, spent the afternoon thrashing with and being thrashed by MT-Blacklist.

First: I installed the wrong version. Twice. I installed 1.6.5 because I missed the note on the MT-Blacklist home page that said it was incompatible with MT 3.0 (that was my fault; I just skimmed the page and clicked the link). Then I installed 2.0e because I read the note that said this was an emergency release for 3.0 users. Then when everything failed to work I googled and discovered that aha!: If you’re running MT 3.11 you need to be running MT-Blacklist 2.01b, which isn’t on the MT-Blacklist home page, its part of the MT plugin pack, which is located on the MT web site. I was interpreting “3.0 users” to mean “3.x users” which is not what it means.

The author of MT-Blacklist is obviously superbusy and actually fixing bugs in MTB is a higher priority over updating the web page, and that is a good thing. But a link on the MT home page page that said something like “MT 3.11 users: Use THIS VERSION of MT-Blacklist” would have saved me a lot of wasted time.

Even after installing the right version, however, it still didn’t work. I couldn’t even get the initialization scripts to run, let alone load the main blacklist page. I was getting 500 server errors in my access log, and lots of perl errors in my error logs (“premature end of script headers,” “cannot call method ‘param'”, “uninitialized value,” etc etc etc). I googled. I read forums. I tried hacks. Nothing worked, and there seemed to be a lot of discouraging posts from bloggers saying things like “I can’t use MT-Blacklist with MT3.11 so I removed it” with no further details.

And then at the end of my rope I went poking around the knowledge base for my web hosting provider and found a page that gave me one small clue. My provider is running an Apache feature called suexec which lets the web server run CGI scripts as the current user and group (as opposed to user/group nobody, which is the default ). But in order for the CGI scripts to run under suexec the scripts themselves and the directories in which they are contained must be chmod 755, eg, writeable only by owner.

Hmmm, thought I. The install directions for MT-Blacklist had said to make sure the files in plugins/Blacklist were chmod 755, but it didn’t say anything about the plugins/Blacklist directory. Sure enough, my Blacklist directory was 775. I did a chmod, reloaded the page, and…

It worked. Worked swimmingly.

Ahahahaha (drool).

I post this for the benefit of other bloggers who might be googling, looking for help getting MT-Blacklist 2.01b working on MT 3.11. Check the permissions of plugins/Blacklist. Its worth a try.

One thought on “fun (not) with MT-Blacklist

  1. MT-Blacklist

    MT-Blacklist rules, but if you’re running MT 3.11 (I’m still on the release before that, because 3.11 contained only fixes for bug I’m not seeing), take a look at this site before installing: fun (not) with MT-Blacklist By all means,…

Comments are closed.